Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Кто использует под ubuntu 9.10 eclipse + pdt. Нужен совет.  (Прочитано 989 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн byte255

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Всем привет. Работаю над php проектами в ubuntu 9.10 использую eclipse + плагины PDT. В принципе все хорошо, только eclipse тормозит при работе над объемными проектами (например использующими zend framework). Пробовал увеличить оперативную память с 1 Гб до 1,5 Гб, вроде стало немного получше, но на больших проектах все равно притормаживает. Процессор Celeron 1.6 ГГц. Для java - машины установлены пакеты: default-jdk 1.6-30ubuntu5;
openjdk6 6b16-1.6.1-3ubuntu1; Версии пакетов jre соответсвенные. Использую Eclipse Galileo. Последующие версии eclipse тормозят еще больше, так же как и netbeans, в котором на данной машине вообще работать невозможно (при наборе текста между нажатием клавиши  и появлением символа на экране проходит около 2 секунд). При запуске использую команду
export GDK_NATIVE_WINDOW=1
$HOME/eclipse/eclipse
что также немного улучшило ситуацию, но все равно работать некомфортно. Пришел к выводу, что софтверными средствами ситуацию не исправить, нужно апгрейдить машину. Если вы используете eclipse  и PDT в ubuntu и подобных проблем нет, напишите пожалуйста конфигурацию вашего оборудования.
Спасибо.

Оффлайн arrecck

  • Старожил
  • *
  • Сообщений: 1725
    • Просмотр профиля
я его один раз устанавливал и сразу снес, пользуюсь geany
по теме можно попробывать поставить jdk с оф сайта, возможно прирост скорости будет

Оффлайн VestniK

  • Активист
  • *
  • Сообщений: 594
    • Просмотр профиля
по теме можно попробывать поставить jdk с оф сайта, возможно прирост скорости будет
можно просто sun-java-jdk вместо open-jdk поставить (последний можно либо снести для надёжности, либо нужно убедиться что используется сановски с помощью утилиты update-java-alternatives)

Оффлайн unimix

  • Активист
  • *
  • Сообщений: 537
    • Просмотр профиля
У меня был Pentium4 2.4 MHz, 1Gb оперативы -- тормозил на небольших проектах и с sun-java-jdk. На Core 2x ядерный 2.6 MHz, 2Gb с отключенным автоматическим построением связей работает хорошо, при включенном -- очень хреново (проекты на Битрикс),  как, впрочем, и NetBeans. На домашнем пока большими проектами не занимался.

Дело в том, что по умолчанию в Eclipse стоит автоматическое построение связей (или как он там называется). Попробуй отключить: снять галку с Project -> Build Automatically, а также Preferences -> General -> Workspace + снять галку с Build Automatically. Должно полегчать.
« Последнее редактирование: 17 Августа 2010, 01:53:25 от unimix »

Оффлайн byte255

  • Автор темы
  • Новичок
  • *
  • Сообщений: 24
    • Просмотр профиля
Большое спасибо за ответы. Построение связей , как я понимаю,  мне нужно, так как проект над которым работаю написан на довольно объемном фреймвёрке.
Видимо, нужно что то искать (или писать) непосредственно на С. Пока из всех линукс IDE только QtCreator не создавал никаких проблем. Вот бы его переписать для работы с php. Geany использую для правки удаленных файлов, замечательная вещь, но на локалке не устраивает опять же из-за большого числа классов в framework е.

 

Страница сгенерирована за 0.044 секунд. Запросов: 25.